# Changelog

## v1.3.9 (August 6, 2024)

* Add ability to sort validators by `is_identified_account_info` and `total_stake` by default
* Fix sorting and pagination for Accounts API
* Fix total delegation rewards data tracking

## v1.3.8 (July 12, 2024)

* Data tracking performance optimizations

## v1.3.7 (July 2d, 2024)

* Add `deploy` optional field for Transfers API
* Add the ability to filter `nft-actions` and `ft-actions` streams by `deploy_hash` for Streaming API
* Fix `account_info` optional field including logic

## v1.3.6 (June 26, 2024)

* Bug fixes

## v1.3.5 (June 17, 2024)

* Fix `GET /daily-deploy-numbers` endpoint

## v1.3.4 (June 13, 2024)

* Fix `GET /accounts/{account_identifier}/associated-to-accounts` returning empty associations

## v1.3.3 (June 12, 2024)

* Fix ordering for Contracts API
* Fix Bidders API
* Fix filtering byt `caller_public_key` for Deploys API

## v1.3.2 (June 6, 2024)

* Fix `validator_performance` optional field including logic
* Fix `GET /validators/{public_key}/rewards` endpoint

## v1.3.1 (June 1, 2024)

* Bug fixes

## v1.3.0 (May 30, 2024)

* Add `POST /accounts` endpoint to request multiple accounts by `account_hashes`
* Fix Accounts API
* Fix `GET /accounts/{account_identifier}/total-delegation-rewards` endpoint

## v1.2.2 (May 28, 2024)

* Fix tracking balances for Accounts without tracked purse\_uref

## v1.2.1 (May 23, 2024)

* Add Centralized Account Info API

## v1.2.0 (May 20, 2024)

* Add new endpoint `GET /account/:public_key/total-delegation-rewards` to return total rewards from delegations for a specific account
* Add `contract_package` optional field to all resources that have `contract_package_hash` field
* Add `from_purse_public_key` and `to_purse_public_key` optional fields for Transfers API endpoints
* Add the ability to filter `deploys` stream by `deploy_hash` for Streaming API
* Fix Streaming API intermittent connection terminations
* Fix Accounts API to return account balances properly

## v1.1.3 (May 13, 2024)

* Add `is_burned` filter for NFT tokens API

## v1.1.2 (May 9, 2024)

* Fixes for NFT API
* Fixes for FT API

## v1.1.1 (April 10, 2024)

* Fixes for NFT API
* Optimise Deploys and Blocks APIs

## v1.1.0 (April 29, 2024)

* Added ability to sort data by block ranges
* Bug fixes

## v1.0.1 (March 26, 2024)

* Improved stability of Streaming API connections

## v1.0.0 (March 12, 2024)

* First release. Welcome, CSPR.cloud! 🎉


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.3.x/documentation/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
